<?php

if (!defined('INCLUDED_AMEMBER_CONFIG')) 
    die("Direct access to this location is not allowed");
 
$notebook_page = 'Moodle';

config_set_notebook_comment($notebook_page, 'Moodle Integration');
if (file_exists($rm = dirname(__FILE__)."/readme.txt"))
    config_set_readme($notebook_page, $rm);
	
add_config_field('protect.moodle.full_path', 'Moodle Full Path',
    'text', "full path to Moodle directory<br />
    for example: /home/user/public_html/moodle",
    $notebook_page, 
    'moodle_config_validate_path');
add_config_field('protect.moodle.remove_users', 'Moodle Remove Users',
    'select', "should aMember remove user from Moodle when user <br />
    is removed from aMember.",
    $notebook_page, 
    '', '', '',
    array('options' => array('' => 'No',
							1 => 'Unenrol from all courses',
                            2 => 'Yes'),
        'store_type' => 1, 'default' => '')
);
		
function moodle_config_validate_path($field,$vars)
{
	global $db, $___plugins, $protect_moodle;
	
	if (!$protect_moodle && !$___plugins['protect']['moodle'])
		return "Moodle plugin object not found.";
	elseif (!$protect_moodle)
		$protect_moodle = &$___plugins['protect']['moodle'];
	
    $v = $vars[$field['name']];
	if (substr($v,-1) == "/")
		$vars[$field['name']] = $v = substr($v,0,-1);
	if (!$v || !is_dir($v))
	{
		return "Moodle path doesn't exists.";
	} else {
		if (!is_array($settings = $protect_moodle->moodle_get_settings($v)))
		{
			return $settings;
		} else {
			if ($error = $protect_moodle->validate_moodle_db($settings))
				return $error;
		}
	}
}
	
?>